openmeetings-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Maxim Solodovnik <solomax...@gmail.com>
Subject Re: possible task for newcomers
Date Tue, 28 Jan 2014 17:08:56 GMT
It seems like BootstrapJavaScriptResourceReference
and BootstrapWysiwygJavaScriptResourceReference are currently references to
the wrong js files


On Tue, Jan 28, 2014 at 11:29 PM, Maxim Solodovnik <solomax666@gmail.com>wrote:

> I'm currently using
> <dependency org="de.agilecoders.wicket" name="wicket-bootstrap-extensions"
> rev="0.8.4" conf="openmeetings.ext->*" transitive="true"/>
>
> If I'm not mistaken it is based on bootstrap 2, switching to 0.9.1 and
> bootstrap 3 completely breaks everything :(
>
>
>
>
> On Tue, Jan 28, 2014 at 11:21 PM, Sebastien <sebfz1@gmail.com> wrote:
>
>> Hi Maxim,
>>
>> You are not the first wanting to use both... but some searches on google
>> confirm the issues...
>> Is it the bootstrap v3 that you tried ?
>>
>> Best regards,
>> Sebastien.
>>
>>
>>
>> On Tue, Jan 28, 2014 at 5:10 PM, Maxim Solodovnik <solomax666@gmail.com>wrote:
>>
>>> Adding css scope only brings complexity ...
>>> Completely removing bootstrap fixes things ... at least partially
>>>
>>> It would be nice to have both: bootsrtap and wicket-jquery-ui :(
>>>
>>>
>>> On Tue, Jan 28, 2014 at 10:10 PM, Maxim Solodovnik <solomax666@gmail.com
>>> > wrote:
>>>
>>>> Thanks!
>>>>
>>>>
>>>> On Tue, Jan 28, 2014 at 10:02 PM, Sebastien <sebfz1@gmail.com> wrote:
>>>>
>>>>> I am not surprised... :(
>>>>> Well, isn't the scope automatically applied if previously defined it
>>>>> in the jQuery theme download ?
>>>>>
>>>>>
>>>>>
>>>>> On Tue, Jan 28, 2014 at 3:56 PM, Maxim Solodovnik <
>>>>> solomax666@gmail.com> wrote:
>>>>>
>>>>>> Maybe you know is it possible to set scope for AbstractDialog ?
>>>>>>
>>>>>>
>>>>>> On Tue, Jan 28, 2014 at 9:50 PM, Maxim Solodovnik <
>>>>>> solomax666@gmail.com> wrote:
>>>>>>
>>>>>>> Somehow I'm unable to use Button and AjaxButton from
>>>>>>> wicket-jquery-ui :(
>>>>>>> Additional classes are not applied :(
>>>>>>>
>>>>>>>
>>>>>>> On Tue, Jan 28, 2014 at 9:26 PM, Maxim Solodovnik <
>>>>>>> solomax666@gmail.com> wrote:
>>>>>>>
>>>>>>>> ok, will try
>>>>>>>> Thanks!
>>>>>>>>
>>>>>>>>
>>>>>>>> On Tue, Jan 28, 2014 at 9:26 PM, Sebastien <sebfz1@gmail.com>wrote:
>>>>>>>>
>>>>>>>>> Ok, maybe you can try with a css scope...
>>>>>>>>>
>>>>>>>>> http://jqueryui.com/themeroller/
>>>>>>>>> Click on download theme and, in the bottom specify a
css scope
>>>>>>>>> (om?)
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>> On Tue, Jan 28, 2014 at 3:23 PM, Maxim Solodovnik <
>>>>>>>>> solomax666@gmail.com> wrote:
>>>>>>>>>
>>>>>>>>>> Seems like wicket-jquery-ui conflicts with
>>>>>>>>>> https://github.com/l0rdn1kk0n/wicket-bootstrap :(
>>>>>>>>>> Will try to remove it :(
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>> On Tue, Jan 28, 2014 at 8:27 PM, Maxim Solodovnik
<
>>>>>>>>>> solomax666@gmail.com> wrote:
>>>>>>>>>>
>>>>>>>>>>> Hello Sebastien,
>>>>>>>>>>>
>>>>>>>>>>> Sorry bothering you :)
>>>>>>>>>>> Is it possible we have problems in OM because
we are using both:
>>>>>>>>>>> bootstrap*.js/css from wysiwyg plugin and from
wicket-bootstrap module?
>>>>>>>>>>>
>>>>>>>>>>> Can wysiwyg plugin have dependency on wicket-bootstrap
module to
>>>>>>>>>>> resolve this?
>>>>>>>>>>>
>>>>>>>>>>> Maybe you can can share you debugging technique?
It seems like
>>>>>>>>>>> chat emotions are also currently broken and I
need to fix everything before
>>>>>>>>>>> release :(
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>> On Tue, Jan 28, 2014 at 9:18 AM, Maxim Solodovnik
<
>>>>>>>>>>> solomax666@gmail.com> wrote:
>>>>>>>>>>>
>>>>>>>>>>>> Yes it seems to start as expected
>>>>>>>>>>>> The URL is http://localhost:5080/openmeetings,
sorry forget to
>>>>>>>>>>>> mention it :(
>>>>>>>>>>>>
>>>>>>>>>>>> BTW I'm using following command to rebuild+restart
after
>>>>>>>>>>>> changes were made to the source code (web.only
target perform partial build
>>>>>>>>>>>> and make it faster :) )
>>>>>>>>>>>>
>>>>>>>>>>>> cd ../..; ant -Ddb=mysql -Dwicket.mode=DEVELOPMENT
web.only; cd
>>>>>>>>>>>> dist/red5; ./red5-debug.sh
>>>>>>>>>>>>
>>>>>>>>>>>> Thanks!
>>>>>>>>>>>>
>>>>>>>>>>>>
>>>>>>>>>>>>
>>>>>>>>>>>> On Tue, Jan 28, 2014 at 6:25 AM, Sebastien
<sebfz1@gmail.com>wrote:
>>>>>>>>>>>>
>>>>>>>>>>>>> Hi,
>>>>>>>>>>>>>
>>>>>>>>>>>>> I get the source, build, downloaded dependencies,
installed
>>>>>>>>>>>>> database and run the server...
>>>>>>>>>>>>>
>>>>>>>>>>>>>         ##################################################
>>>>>>>>>>>>>         #               Openmeetings
is up               #
>>>>>>>>>>>>>         #     3.0.0-SNAPSHOT 1561874
27-January-2014     #
>>>>>>>>>>>>>         #                and ready to
use                #
>>>>>>>>>>>>>         ##################################################
>>>>>>>>>>>>>
>>>>>>>>>>>>> It seems to run but I cannot reach
>>>>>>>>>>>>> http://localhost:8080/openmeetings (or
even
>>>>>>>>>>>>> http://localhost:8080/).
>>>>>>>>>>>>> Is this configured on another port ?
>>>>>>>>>>>>>
>>>>>>>>>>>>> Thanks,
>>>>>>>>>>>>> Sebastien.
>>>>>>>>>>>>>
>>>>>>>>>>>>>
>>>>>>>>>>>>> On Mon, Jan 27, 2014 at 8:15 PM, Sebastien
<sebfz1@gmail.com>wrote:
>>>>>>>>>>>>>
>>>>>>>>>>>>>> Thanks Maxim,
>>>>>>>>>>>>>>
>>>>>>>>>>>>>> I'll try to test this tonight (although
I cannot promise
>>>>>>>>>>>>>> it... ;))
>>>>>>>>>>>>>>
>>>>>>>>>>>>>> Best regards (and good night!)
>>>>>>>>>>>>>> Sebastien
>>>>>>>>>>>>>>
>>>>>>>>>>>>>>
>>>>>>>>>>>>>> On Mon, Jan 27, 2014 at 8:12 PM,
Maxim Solodovnik <
>>>>>>>>>>>>>> solomax666@gmail.com> wrote:
>>>>>>>>>>>>>>
>>>>>>>>>>>>>>> I'll commit my changes to move
to 6.13
>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>> On Tue, Jan 28, 2014 at 2:11
AM, Maxim Solodovnik <
>>>>>>>>>>>>>>> solomax666@gmail.com> wrote:
>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>> Hello Sebastien,
>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>> Thanks for the quick response!
>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>> I haven't tried to create
quickstart (it is 2 AM here :))
>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>> Build instructions are available
here:
>>>>>>>>>>>>>>>> http://openmeetings.apache.org/BuildInstructions.html
>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>> I personally use the following
simpla steps:
>>>>>>>>>>>>>>>> 1) install ant 1.8.4+
>>>>>>>>>>>>>>>> 2) svn checkout
>>>>>>>>>>>>>>>> https://svn.apache.org/repos/asf/openmeetings/trunk/singlewebapp/
>>>>>>>>>>>>>>>> 3) ant -Ddb=mysql -Dwicket.mode=DEVELOPMENT
dist
>>>>>>>>>>>>>>>> prepare-eclipse
>>>>>>>>>>>>>>>> 4) cd dist/red5
>>>>>>>>>>>>>>>> 5) ./red5-debug.sh
>>>>>>>>>>>>>>>> 6) attach remote debugger
on port 8787
>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>> Additional steps need to
be done 1 time only:
>>>>>>>>>>>>>>>> 1) mysql
>>>>>>>>>>>>>>>> CREATE DATABASE openmeetings
DEFAULT CHARACTER SET utf8
>>>>>>>>>>>>>>>> COLLATE utf8_general_ci;
>>>>>>>>>>>>>>>> 2) install openmeetings using
web installer on the first run
>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>> something like this :)
>>>>>>>>>>>>>>>> Thanks in advance!
>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>> On Tue, Jan 28, 2014 at 2:04
AM, Sebastien <
>>>>>>>>>>>>>>>> sebfz1@gmail.com> wrote:
>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>> Hi Maxim,
>>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>> If it is straghtforward,
I could try to debug OM. Is there
>>>>>>>>>>>>>>>>> a wiki on how to setup
de dev-env (source repo, build, launch, debug)?
>>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>> Thanks in advance,
>>>>>>>>>>>>>>>>> Sebastien.
>>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>> On Mon, Jan 27, 2014
at 7:59 PM, Sebastien <
>>>>>>>>>>>>>>>>> sebfz1@gmail.com>
wrote:
>>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>>> Hi Maxim,
>>>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>>> It is working on
the demo site (6.13.0). kubuntu 13.10 +
>>>>>>>>>>>>>>>>>> FF 26
>>>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>>> http://www.7thweb.net/wicket-jquery-ui/calendar/ExtendedCalendarPage
>>>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>>> Are you able to reproduce
the issue in a quickstart?
>>>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>>> Best regards,
>>>>>>>>>>>>>>>>>> Sebastien.
>>>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>>> On Mon, Jan 27, 2014
at 7:38 PM, Maxim Solodovnik <
>>>>>>>>>>>>>>>>>> solomax666@gmail.com>
wrote:
>>>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>>>> It seems like
calendar events are not working after
>>>>>>>>>>>>>>>>>>> upgrading to
6.13 :( (drop/resize/click)
>>>>>>>>>>>>>>>>>>>  Ubuntu 13.10+Chrome
>>>>>>>>>>>>>>>>>>> Can you please
advise how can I debug/enhance this error
>>>>>>>>>>>>>>>>>>> report? :))
>>>>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>> --
>>>>>>>>>>>>>>>> WBR
>>>>>>>>>>>>>>>> Maxim aka solomax
>>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>> --
>>>>>>>>>>>>>>> WBR
>>>>>>>>>>>>>>> Maxim aka solomax
>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>
>>>>>>>>>>>>>>
>>>>>>>>>>>>>
>>>>>>>>>>>>
>>>>>>>>>>>>
>>>>>>>>>>>> --
>>>>>>>>>>>> WBR
>>>>>>>>>>>> Maxim aka solomax
>>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>> --
>>>>>>>>>>> WBR
>>>>>>>>>>> Maxim aka solomax
>>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>> --
>>>>>>>>>> WBR
>>>>>>>>>> Maxim aka solomax
>>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>> --
>>>>>>>> WBR
>>>>>>>> Maxim aka solomax
>>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>> --
>>>>>>> WBR
>>>>>>> Maxim aka solomax
>>>>>>>
>>>>>>
>>>>>>
>>>>>>
>>>>>> --
>>>>>> WBR
>>>>>> Maxim aka solomax
>>>>>>
>>>>>
>>>>>
>>>>
>>>>
>>>> --
>>>> WBR
>>>> Maxim aka solomax
>>>>
>>>
>>>
>>>
>>> --
>>> WBR
>>> Maxim aka solomax
>>>
>>
>>
>
>
> --
> WBR
> Maxim aka solomax
>



-- 
WBR
Maxim aka solomax

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message